
Figure - Bug #118746
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【Monkey】【AUDIO】Monkey测试后，副屏音视频播放异常
2023-06-12 17:30 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-12

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0109

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 118506同件，请关闭该问题。

Description

【测试版本】

中控：0088

副屏：0109

【测试情况】

monkey结束后，静止6小时（至少）

播放QQ音乐->QQ音乐不可播放

播放腾讯视频->腾讯视频播放无声、后面突然快速播放（无声）

播放本地音乐->不可播放、进度条不动

中控播放音乐->正常有声音输出

History

#1 - 2023-06-12 17:32 - CD TEST-方永红

【历史日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118746

#2 - 2023-06-12 17:40 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

根据当前日志分析：

没有声音的原因是因为audio相关服务卡死，反复重启中。

000471_manual_00036_230612_162858.log:1855:06-12 16:29:01.661 19851 19851 W AudioSystem: AudioPolicyService server died!

000471_manual_00036_230612_162858.log:1856:06-12 16:29:01.661 19851 19912 W AudioSystem: AudioFlinger server died!

000471_manual_00036_230612_162858.log:1857:06-12 16:29:01.661 19923 27592 W AudioSystem: AudioPolicyService server died!

000471_manual_00036_230612_162858.log:1859:06-12 16:29:01.661 19923 27573 W AudioSystem: AudioFlinger server died!

000471_manual_00036_230612_162858.log:1867:06-12 16:29:01.662 28624 32141 W AudioSystem: AudioPolicyService server died!

000471_manual_00036_230612_162858.log:1868:06-12 16:29:01.662 31223   336 W AudioSystem: AudioPolicyService server died!

2025-07-04 1/3

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118746


发现有以下异常bug，发现adsp报错，然后导致了audio.service crash。

06-12 16:28:59.722     0     0 E [252298.464901] q6asm_memory_map_regions: timeout. waited for memory_map

06-12 16:28:59.722     0     0 E [252298.464908] q6asm_audio_client_buf_alloc_contiguous: CMD Memory_map_regions failed -110 for size 7680

06-12 16:28:59.722     0     0 E [252298.464911] q6asm_memory_unmap: Do not send null mem handle to DSP

06-12 16:28:59.722     0     0 E         : [252298.465033] Audio Start: Buffer Allocation failed rc = -22

06-12 16:28:59.722     0     0 E         : [252298.465038] msm-pcm-dsp soc:qcom,msm-pcm: ASoC: soc:qcom,msm-pcm hw params failed: -12

06-12 16:28:59.722     0     0 E         : [252298.465046]  KONA Media1: ASoC: hw_params FE failed -12

06-12 16:28:59.723     0     0 E [252298.465552] q6asm_callback: cmd = 0x10bcd returned error = 0x1

06-12 16:28:59.723     0     0 E [252298.465573] __q6asm_cmd: DSP returned error[ADSP_EFAILED] opcode 68557

06-12 16:28:59.723  2485  2733 E audio_hw_primary: pcm_open_prepare_helper: cannot set hw params: Out of memory

06-12 16:28:59.723  2485  2733 D audio_hw_primary: disable_audio_route: reset and update mixer path: deep-buffer-playback

06-12 16:28:59.723  2485  2733 E soundtrigger: audio_extn_sound_trigger_update_stream_status: invalid input device 0x0, for event 2

06-12 16:28:59.723  2485  2733 D soundtrigger: audio_extn_sound_trigger_update_stream_status: uc_info->id 0 of type 0 for Event 2, with Raise=1

06-12 16:29:00.468  2507  2523 I TimeCheck: requesting tombstone for pid: 2485

06-12 16:29:00.468  2485  2485 I libc    : Requested dump for tid 2485 (audio.service)

06-12 16:29:00.791   664   664 I tombstoned: received crash request for pid 2485

下一步：

该问题需要audio bsp 去分析调查

#3 - 2023-06-14 11:38 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD BSP汪凯

Hi 汪凯

麻烦分析一下，谢谢！

#4 - 2023-06-21 10:13 - CD TEST-方永红

与118506一样

adsp内存有问题

在118506中跟踪

#5 - 2023-08-02 17:31 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP汪凯 to 物联网测试组_TSCD 王维

- Resolution changed from -- to FIXED

- Root cause set to 118506同件，请关闭该问题。

Hi ALL

118506已经修复，请关闭该问题。

#6 - 2023-08-03 09:45 - CD TEST-方永红
- Status changed from RESOLVED to VERIFIED

#7 - 2023-08-03 09:45 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1620.txt 11.3 MB 2023-06-12 CD TEST-方永红

tlog_iov0201017500006162025411a2212290000002271_000471_0612163007.tar.gz10.2 MB 2023-06-12 CD TEST-方永红
